# Rally Rush: godot::ShieldPowerup Class Reference

Loading...
Searching...
No Matches
godot::ShieldPowerup Class Reference

Object for the player's "shield" powerup. Collision area that destroys all cars that hit it. More...

`#include <shield_powerup.hpp>`

Inheritance diagram for godot::ShieldPowerup:

## Public Member Functions

virtual void | _enter_tree () override
| Connect the body_entered observer.

## Protected Member Functions

void | body_entered (Node3D *body)
| Listener for this Area3D's body_entered observer. If the entered node is an EnemyCar, damage it.

## Private Member Functions

| GDCLASS (ShieldPowerup, Area3D)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Detailed Description

Object for the player's "shield" powerup. Collision area that destroys all cars that hit it.

## Member Function Documentation

## _bind_methods()

void godot::ShieldPowerup::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::ShieldPowerup::_enter_tree | ( |  | ) |

overridevirtual

Connect the body_entered observer.

## body_entered()

void godot::ShieldPowerup::body_entered | ( | Node3D * | body | ) |

protected

Listener for this Area3D's body_entered observer. If the entered node is an EnemyCar, damage it.

## GDCLASS()

godot::ShieldPowerup::GDCLASS | ( | ShieldPowerup | ,
|  | Area3D |
| ) |  |

private

The documentation for this class was generated from the following files:

- src/shield_powerup.hpp
- src/shield_powerup.cpp